# Edit this configuration file to define what should be installed on
# your system.  Help is available in the configuration.nix(5) man page
# and in the NixOS manual (accessible by running ‘nixos-help’).

{ config, pkgs, lib, ... }:

{
    imports = [
        ../../modules/system.nix
        ../../modules/nix-settings.nix
        ../../modules/vpn.nix
        ../../modules/fonts.nix
        ../../modules/firewall.nix
        ../../modules/localisation.nix
        ../../modules/openssh.nix
        ../../modules/pipewire.nix
        ../../modules/podman.nix
        ../../modules/services.nix
        ../../modules/regreet/regreet.nix
        ../../modules/plymouth.nix
        ../../modules/file_managers/spacefm.nix
        ../../modules/appimage.nix
        ../../modules/qemu.nix
        ../../modules/thunderbird.nix
        ../../modules/canon_eos_550d.nix
# Include the results of the hardware scan.
        ./hardware-configuration.nix
    ];

  # Bootloader.
  boot.loader = {
    efi.canTouchEfiVariables = true;
    systemd-boot.enable = true;
  };

  networking = {
  	hostName = "nix-desktop";
	networkmanager.enable = true;
	#useDHCP = lib.mkForce true;
	#dhcpcd.enable = true;
  	interfaces = {
		eno1.ipv4.addresses = [{
			address = "192.168.2.40";
			prefixLength = 24;
		}];
	};

	defaultGateway = {
		address = "192.168.2.1";
		interface = "eno1";
	};

	nameservers = [
		"192.168.2.50"
		"1.1.1.1"
		"8.8.8.8"
	];
  };

  hardware.graphics.enable = true;

  system.stateVersion = "25.11"; # Did you read the comment?

}


