{pkgs, catppuccin, ...}: {
  ##################################################################################################################
  #
  # All Phil's Home Manager Configuration
  #
  ##################################################################################################################

  imports = [
    ../../home/core.nix # Setup Home
    ../../home/xdg.nix # Bindings

    ../../home/hyprland # Window Manager
#    ../../home/themes/dark
    ../../home/hyprland/waybar/double-monitor.nix

    ../../home/programs/dev # Dev Tools
    
    ../../home/programs/media/media.nix
    ../../home/programs/media/audacity.nix
    ../../home/programs/media/obs.nix
    ../../home/programs/media/spotify/spotify.nix

    ../../home/programs/productivity/blender.nix
    ../../home/programs/productivity/slicer.nix
    ../../home/programs/productivity/okular.nix
    ../../home/programs/productivity/obsidian.nix

    ../../home/programs/social/element.nix 
    ../../home/programs/social/webcord.nix
    ../../home/programs/social/zapzap.nix

    ../../home/programs/web/firefox.nix
    ../../home/programs/web/chromium.nix

    # Games
    ../../home/programs/games/itch.nix
#    ../../home/programs/games/steam.nix
    ../../home/programs/games/lutris.nix
    ../../home/programs/games/opensource.nix
    ../../home/programs/games/airshipper.nix

    catppuccin.homeModules.catppuccin
  ];

  catppuccin = {
  	enable = true;
  	flavor = "mocha";
  };

  programs.git = {
    userName = "DerGrumpf";
    userEmail = "p.keier@beyerstedt-it.de";
  };
}
